﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data;
using System.Xml.Serialization;
using System.IO;

namespace MPR_Appli
{
    public class QueryData
    {
        public static int StartOfWeek { get; set; }

        public String AuctionID { get; set; }
        public int SearchID { get; set; }
        public int SearchRev { get; set; }
        public int CategoryID { get; set; }
        public String Category { get; set; }
        public String Title { get; set; }
        public String Seller { get; set; }
        public int Bids { get; set; }
        public int ItemState { get; set; }
        public int StoreState { get; set; }
        public String Bidder { get; set; }
        public String Status { get; set; }
        public int Eva { get; set; }
        public decimal Price { get; set; }
        public int Number { get; set; }
        public DateTime Date { get; set; }

        public decimal TotalPrice { get; }

        public String Span { get; }
        public String WeekSpan { get; }
        public int Year { get; }
        public int Month { get; }
        public int Week { get; }
        private int DayOfWeek { get; }
        private DateTime StartDate { get; }
        private DateTime EndDate { get; }

        public String ItemText { get; }
        public String StoreText { get; }
    }
}